Bug 13516 - Display issue for search results with items both checkout out and lost
Summary: Display issue for search results with items both checkout out and lost
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-05 15:10 UTC by Kyle M Hall
Modified: 2015-12-03 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13516 - Tidy relevant code black (2.81 KB, patch)
2015-01-05 15:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13516 - Display issue for search results with items both checkout out and lost (1.47 KB, patch)
2015-01-05 15:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13516 - Tidy relevant code block (2.81 KB, patch)
2015-01-05 15:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13516 - Display issue for search results with items both checkout out and lost (1.47 KB, patch)
2015-01-05 15:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13516 - Tidy relevant code block (2.87 KB, patch)
2015-01-09 23:06 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13516 - Display issue for search results with items both checkout out and lost (1.52 KB, patch)
2015-01-09 23:06 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 13516 - Display issue for search results with items both checkout out and lost (1.63 KB, patch)
2015-05-03 16:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13516 - Tidy relevant code block (2.92 KB, patch)
2015-05-03 16:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13516 - Display issue for search results with items both checkout out and lost (1.57 KB, patch)
2015-05-03 16:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-01-05 15:10:45 UTC
In the staff search results, if an item is both checked out and lost, the result will appears as two item lines like this:

http://screencast.com/t/2Hczv1jhL

when it should look like this:

http://screencast.com/t/JDV2cGNq
Comment 1 Kyle M Hall 2015-01-05 15:14:24 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-01-05 15:14:31 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-01-05 15:20:22 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-01-05 15:20:29 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2015-01-09 23:06:12 UTC Comment hidden (obsolete)
Comment 6 Nick Clemens 2015-01-09 23:06:27 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2015-01-21 07:14:47 UTC
I am not sure I understand this correctly. 

1) With and without the patch my staff result list for the checked out item with lost status = 1 looks the same:

2 items, 1 available:

    Books Midway Book Cart (1)
    Books

1 on loan:

    Computer Files Midway Book Cart (1) date due: 11/01/2015
    Computer Files


Should we not include the information that the item is lost somehow?

Please take a look and explain!
Comment 8 Kyle M Hall 2015-04-16 15:33:28 UTC
This patch fixes the mangled display. With the patch, you will still see the lost status. See this screenshot: http://content.screencast.com/users/kylemhall/folders/Jing/media/891a082f-1c71-4207-b01c-44b27b465fd8/00000017.png

(In reply to Katrin Fischer from comment #7)
> I am not sure I understand this correctly. 
> 
> 1) With and without the patch my staff result list for the checked out item
> with lost status = 1 looks the same:
> 
> 2 items, 1 available:
> 
>     Books Midway Book Cart (1)
>     Books
> 
> 1 on loan:
> 
>     Computer Files Midway Book Cart (1) date due: 11/01/2015
>     Computer Files
> 
> 
> Should we not include the information that the item is lost somehow?
> 
> Please take a look and explain!
Comment 9 Katrin Fischer 2015-05-03 16:24:12 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2015-05-03 16:25:17 UTC
Created attachment 38777 [details] [review]
[PASSED QA] Bug 13516 - Tidy relevant code block

Signed-off-by: Nick <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2015-05-03 16:25:36 UTC
Created attachment 38778 [details] [review]
[PASSED QA] Bug 13516 - Display issue for search results with items both checkout out and lost

If the staff search results, if an item is both checked out and lost,
the result will appear as two item lines where one line has the lost
status and the other line has the rest of the item's data.

Test Plan:
1) Check an item out to a patron
2) Mark the item as lost *without* removing the item from the patron's
   record, either by using longoverdue.pl or by editing the itemlost
   field in the database directly.
3) Perform a search where that item will be in the results
4) Note the improper display of the item's data
5) Apply this patch set
6) Reload the search restults
7) Note the item now displays correctly

Signed-off-by: Nick <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Tomás Cohen Arazi 2015-05-07 15:35:38 UTC
Patches pushed to master.

Thanks Kyle!
Comment 13 Chris Cormack 2015-05-17 06:52:05 UTC
Pushed to 3.18.x will be in 3.18.7